function makeContour0430(x,y,z,x_label,y_label,t)

resolution = 100;
method = 'cubic';

%%% take logarithm of X
x = log10(x);

%%% Interpolate
xmin = 2.7;
xmax = 6.3;
ymin = 20;
ymax = 220;
[XI,YI] = meshgrid(linspace(xmin,xmax,resolution),linspace(ymin,ymax,resolution));
ZI = griddata(x,y,z, XI,YI, method, {'QJ'});

%%% Plot
colormap mycolormapcontour;
contour(XI,YI,ZI);
hold on;
scatter(x,y, 100, z, 'x', 'LineWidth',2);
xlabel(x_label);
ylabel(y_label);
title(t);
hold off

end
